from .http import session

WIKIDATA_SPARQL_ENDPOINT = "https://query.wikidata.org/sparql"

def request(request):
    """
    Effectue une requête SPARQL sur le point d'accés de Wikidata

    :param request: Requête SPARQL appliqué
    :return: Réponse en json du point d'accés
    """
    res = session.get(
        WIKIDATA_SPARQL_ENDPOINT,
        params={'format': 'json' ,'query': request}
    )

    if res.status_code != 200:
        raise Exception('Erreur {}'.format(res.status_code))

    return res.json()